> For the complete documentation index, see [llms.txt](https://api-docs.minical.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.minical.io/minical-api/charge.md).

# Charge

<details>

<summary><a href="https://api.minical.io/v2/booking/get_booking_charges">https://api.minical.io/v2/booking/get_booking_charges</a>  <strong>Get Booking Charges</strong> </summary>

This endpoint allows you to get charges of a booking.

**Parameter**

**Header**

X-API-KEY                            string         API key&#x20;

**Body**

booking\_id                           integer       PMS Booking ID&#x20;

company\_id                         integer       PMS Property ID

</details>

**Responses**

<details>

<summary><strong>200</strong>                                                                  Charges successfully retrieved.</summary>

```html
[
    {
        "charge_id": "192",
        "description": "",
        "date_time": null,
        "booking_id": "450",
        "amount": "50.00",
        "is_deleted": "0",
        "charge_type_id": "8490024049",
        "selling_date": "2020-06-25",
        "user_id": "88",
        "customer_id": "8490850795",
        "pay_period": "0",
        "is_night_audit_charge": "0"
    },
    {
        "charge_id": "202",
        "description": "Premium Package",
        "date_time": null,
        "booking_id": "450",
        "amount": "50.00",
        "is_deleted": "0",
        "charge_type_id": "8490024658",
        "selling_date": "2020-06-25",
        "user_id": "88",
        "customer_id": "8490850795",
        "pay_period": "0",
        "is_night_audit_charge": "0"
    }
]
```

</details>

<details>

<summary><strong>404</strong>  Could not find to matching this query.</summary>

```html
{
    "status": false,
    "error": "Unknown method."
}
```

</details>

#### Request Body

```
{
   "company_id": "8490006340",
   "booking_id": "450"
}
```

&#x20;

<details>

<summary><a href="https://api.minical.io/v2/booking/add_booking_charges">https://api.minical.io/v2/booking/add_booking_charges</a>                                                          <strong>Add Booking Charges</strong> </summary>

This endpoint allows you to add charges of a booking.

**Parameter**

**Header**

X-API-KEY                            string         API key&#x20;

**Body**

charges/description           string         Description about charge&#x20;

charges/booking\_id           integer       PMS Booking ID

charges/amount                 number      Charge amount

charges/charge\_type\_id    integer       PMS charge type id (service charge etc.)

charges/selling\_date         string         Date on which you want to add charge

company\_id                        integer      PMS Property ID&#x20;

</details>

**Responses**

<details>

<summary><strong>200</strong>                                                     Charges successfully added.</summary>

```html
{ 
   "status": "success" 
}
```

</details>

<details>

<summary><strong>404</strong>                                                     Could not find to matching this query.           </summary>

```html
{
    "status": false,
    "error": "Unknown method."
}
```

</details>

#### Request Body

```
    "company_id": "8490006340",
    "charges":[
        {
            "description": "first charge",
            "booking_id": "450",
            "amount": "50.00",
            "charge_type_id": "8490024049",
            "selling_date": "2020-06-25"
        },
        {
            "description": "daily charge",
            "booking_id": "450",
            "amount": "50.00",
            "charge_type_id": "8490024049",
            "selling_date": "2020-06-25"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.minical.io/minical-api/charge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
